/* tr7.c */
#include <stdio.h>
#include <stdlib.h>
#include <time.h>

void show_time(time_t tick)
{
	struct tm *tim;
	char *week[] = {
		"Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat", 
	};

	tim = localtime(&tick);
	printf("%dN%2d%2d (%s) %02d:%02d:%02d\n",
			tim->tm_year+1900, tim->tm_mon+1, tim->tm_mday,
			week[tim->tm_wday], 
			tim->tm_hour, tim->tm_min, tim->tm_sec);
}

time_t floor_time(time_t tick)
{
	struct tm *tim;
	time_t val;

	tim = localtime(&tick);
	val = tick - (tim->tm_sec + tim->tm_min*60 + tim->tm_hour*60*60);
	return (val);
}

int main(void)
{
	time_t tick1 = 1076928982;
	time_t tick2 = 1078820005;
	time_t diff;

	show_time(tick1);
	show_time(tick2);

	diff = floor_time(tick2) - floor_time(tick1);
	diff /= (24*60*60);

	printf("%dԗĂ܂\n", diff);

	return 0;
}


